//------- Tiki CSS variables

// CSS variables / custom properties for base_files/scss/_tiki-pagetop_colors.scss -- Interpolation info from https://developersink.com/css/css-custom-properties-sass-variables/
// Background images (actual images or CSS gradients, etc.), if assigned, override background colors.

// Used for L&F nav color choice and color mode override
@mixin top-nav-dark {
    --tiki-top-bg: #{$navbar-dark-bg};
    --tiki-top-color: #{$link-color};
    --tiki-top-hover-color: #{$navbar-dark-hover-color};
    --tiki-top-text-color: #{$navbar-dark-brand-color};
    --bs-navbar-brand-color: #{$navbar-dark-brand-color};
    --bs-navbar-brand-hover-color: #{$navbar-dark-brand-hover-color};
}

@mixin topbar-nav-dark {
    --tiki-topbar-bg: #6e0d0d; //#{$navbar-dark-bg};
    --tiki-topbar-color: #{$navbar-dark-color};
    --tiki-topbar-hover-color: #{$navbar-dark-hover-color};
    --tiki-topbar-text-color: #{$navbar-dark-brand-color};
}

$navbar-light-hover-bg: red;

.tiki-top-nav-light {
    --tiki-top-bg: #5AE3ED;
    --tiki-top-color: #322B0B;
    --tiki-top-hover-color: #5B5015;
    --tiki-top-text-color: #{$navbar-light-brand-color};
    --bs-navbar-brand-color: #{$navbar-light-brand-color};
    --bs-navbar-brand-hover-color: #{$navbar-light-brand-hover-color};
}

.tiki-topbar-nav-light {
    --tiki-topbar-bg: #68D6DE; //#{$light};
    --tiki-topbar-color: #3C320B;
    --tiki-topbar-hover-color: #615314;
    --tiki-topbar-text-color: #615314;
}

.tiki-top-nav-dark {
    @include top-nav-dark;
}

.tiki-topbar-nav-dark {
    @include topbar-nav-dark;
}

// Color mode preference trumps L&F admin light navbar option
[data-bs-theme=dark] {                              // color mode
    .tiki-top-nav-light {                           // light top selector
        @include top-nav-dark;                      // dark values
    }
    .tiki-topbar-nav-light {
        @include topbar-nav-dark;
    }
}

// - - - - - New admin pages (Unified Admin Backend) - - - - - - - //

// Light navbar minus top nav
.tiki .tiki-admin-top-nav-light,
.tiki .tiki-admin-aside-nav-light {
    --tiki-admin-navbar-bg: #68D6DE; //#68D6DE !important;
    --tiki-admin-top-nav-color: #322B0B; // --tiki-top-color
    --tiki-admin-top-nav-hover-color: #5B5015; // --tiki-topbar-hover-color
    --tiki-admin-top-nav-hover-bg: none ;
    --tiki-admin-aside-nav-bg: #68D6DE;
    --tiki-admin-aside-nav-color: var(--tiki-admin-top-nav-color);
    --tiki-admin-aside-nav-hover-color: var(--tiki-admin-top-nav-hover-color);
    --tiki-admin-dropdown-bg: #{$dropdown-bg};
    --tiki-admin-dropdown-link-color: #{$navbar-light-color};
    --tiki-admin-dropdown-link-hover-color: #{$dropdown-link-hover-color};
    --tiki-admin-dropdown-link-hover-bg: #{$dropdown-link-hover-bg};
}
// Light top nav
.tiki.tiki-admin .top_modules.navbar-light-parent {
    --tiki-admin-top-nav-bg: #68D6DE;
}

// Dark navbar minus top nav
.tiki .tiki-admin-top-nav-dark,
.tiki .tiki-admin-aside-nav-dark {
    --tiki-admin-top-nav-bg: #ad1d28;
    --tiki-admin-top-nav-color: #{$link-color};
    --tiki-admin-top-nav-hover-color: #{$link-color};
    --tiki-admin-top-nav-hover-bg: #{$navbar-dark-hover-color};
    --tiki-admin-aside-nav-bg: #ad1d28;
    --tiki-admin-aside-nav-color: var(--tiki-admin-top-nav-color);
    --tiki-admin-aside-nav-hover-color: var(--tiki-admin-top-nav-hover-color);
    --tiki-admin-dropdown-link-color: #{$link-color};
    --tiki-admin-dropdown-bg: #{$dropdown-dark-bg};
    --tiki-admin-dropdown-link-hover-color: #{$dropdown-link-hover-color};
    --tiki-admin-dropdown-link-hover-bg: #{$dropdown-dark-link-hover-bg};
}
// Dark top nav
.tiki.tiki-admin .top_modules.navbar-dark-parent {
    --tiki-admin-top-nav-bg: #ad1d28;
}

// - - - - - - Other CSS variables - - - - - - -
:root {
    --bs-secondary-bg: #12757b; // code bg, etc.
}

[data-bs-theme=dark] {
    --bs-secondary-bg: #2c3237;
}